const std = @import("std");

// zig fetch --save git+https://github.com/karlseguin/http.zig#master

pub fn build(b: *std.Build) void {
    const exe = b.addExecutable(.{
        .name = "genserve",
        .root_source_file = b.path("src/main.zig"),
        .target = b.graph.host,
    });
    const httpz = b.dependency("httpz", .{
	.target = b.graph.host,
	// .optimize = .standardOptimizeOption
    });

    exe.root_module.addImport("httpz", httpz.module("httpz"));
    b.installArtifact(exe);
}
